#
# IObjectFactory
#
# Object factory interface
#
# Copyright (c) 2001-2003 by Philipp "philiKON" von Weitershausen
#
# This software is distributed under the terms of the Mozilla Public License
# (MPL)
#

"""
$Id: ObjectFactory.py,v 1.2 2003/03/17 13:49:52 philipp Exp $
"""

from Interface import Interface

class IObjectFactory(Interface):
    """
    Object factory interface
    """

    def createObject(id, title, data, **kw):
        """
        Create an object
        """
